# ne(1)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

ne - NanoEmacs 2009 text editor

## SYNOPSIS

ne [options] [files ...]

ne [@startupFile] [-a] [-b file] [-B] [-c] [-h] [-k[key] file] [-l lineNo[:column]] [-R] [-r] [-s string] [-u username] [-v variable=string] [-V] [-x] [-y file] files...

## DESCRIPTION

NanoEmacs 2009 is a cut down version of MicroEmacs 2009 EMACS text editor, based on Danial Lawrences MicroEmacs.

NanoEmacs 2009 provides the basic EMACS editor functions, allowing multiple files to be edited at the same time. The screen may be split into different windows and screens, and text may be moved freely from one window on any screen to the next. The editor typically runs in a console mode and is set up for basic system administration work or system bring up, macro files are not expected to be present, the system is still capable of running a macro file (with limited capability), the default start-up file is `ne.emf` and is executed at start-up if present.

The command line options to NanoEmacs 2009 are defined as follows:-

@startFile

Initialize NanoEmacs 2009 using startFile[.emf]. The default when omitted is ne.emf. See start-up(3) and Command Line Filters for more information.

-a

Toggle the auto-save mode, this toggles the auto(2m) mode.

Note: that NanoEmacs disables auto save mode by default and MicroEmacs enables auto save mode by default. The behavior of -a is therefore different between the two editors.

-b

Load next file as a binary file (binary editor mode, uses binary(2m) buffer mode).

-B

Toggle the backup mode, this toggles the backup(2m) mode.

Note: that NanoEmacs disables backup mode by default and MicroEmacs enables backup mode by default. The behavior of -B is therefore different between the two editors.

-c

Continuation mode. Load NanoEmacs 2009 last edit session, restoring the buffers to their previous loaded state and position. Note that history mode must be enabled. The -c option is generally used with windowing interfaces (X-Windows/Microsoft Windows) as the shortcut icon invocation.

-h

Show the help page (does not start the editor).

-k[key]

Load next file as an encrypted file (uses crypt(2m) buffer mode). The optional adjoining argument can be used to specify the decrypting key, if this argument is not specify the user will be prompted for it on start-up.

-l lineNo

Go to line lineNo in the next given file and optionally to the specified column number. The column may be omitted if not required. Typically used with utilities such a more(1) where an external editor may be invoked from other viewer.

-n

UNIX X-Windows environments only and MicroSoft Windows NT console versions. Execute MicroEmacs 2009 using termcap rather than X-Windows for UNIX; typically used within an xterm shell to fire up MicroEmacs 2009 for a quick edit. For Microsoft Windows, a console window is started as opposed to a GUI window. This option is not present if a console version of the application has been built.

-R

Reverse the default video color scheme. The default foreground color becomes the background color and vice versa. This only affects the built in scheme and not any schemes defined in any start-up file.

-r

Read-only, all buffers will be in view mode

-s string

Search for string "string" in the current buffer. e.g. `ne -sfoo bar` starts MicroEmacs 2009, loads file `bar` and initiates a search for foo. The cursor is left at the end of the string if located, otherwise at the top of the buffer.

-u username

Set the current user name $user-name(5) to username before NanoEmacs is initialized.

-v variable=string

Assign the MicroEmacs 2009 variable with string. The assignment is performed before the buffers are loaded. Typically used to change the start-up characteristics of the startup file(s).

-V

Print the name and version of NanoEmacs. i.e.

`orac% ne -V`
`NanoEmacs 05 - Date 2005/02/24 - sunos`

-x

UNIX environments. Disable the capture of signals. MicroEmacs 2009 by default captures an handles all illicit signal interrupts. The option is enabled when debugging the source code allowing exception conditions to be trapped within the debugger.

-y

Load next file as a reduced binary file (uses rbin(2m) buffer mode).

## ENVIRONMENT

The following environment variables are used by NanoEmacs 2009.

DISPLAY

UNIX environments running X-Windows only. The identity of the X-Windows server. Typically set to unix:0.0, refer to the X-Windows documentation for details of this environment variable.

MENAME

$MENAME(5) is used to override the identity of the user $user-name(5). The variable may be used to determine which start-up configuration to use in the initialization of MicroEmacs 2009 ($user-name.erf). This is ignored if the -u option is specified on the command line.

Non-UNIX platforms usually need to explicitly set the $MENAME environment variable to identify the aforementioned files. for MS-DOS and early versions of Microsoft Windows this is typically performed in the `AUTOEXEC.BAT` file.

PATH

The $PATH environment variable is used on most operating systems as a search path for executable files. This $PATH environment variable must be defined with MicroEmacs 2009 on the search path. Under UNIX this is set in the `.login`, `.cshrc` or `.profile` file i.e.

export PATH $PATH:/usr/name/ne

Within MS-DOS or Microsoft Windows environments it is defined in the `AUTOEXEC.BAT` file. e.g.

set PATH=%PATH%;c:\ne

MicroEmacs 2009 utilizes information in the $PATH environment variable to locate the start-up files, dictionaries etc.

TERM

The terminal identification sting. In UNIX environments the environment variable $TERM is set to "`vt...`", in this case it is assumed that the machine is a server, and the host cannot support X (see command line option -n).

In MS-DOS the environment variable is usually set to define the graphics adapter mode. %TERM is assigned a string, understood by the `me.emf` start-up file, to set the graphics mode. Predefined strings include:-

E80x50

Initiates an 80 column by 50 line screen.

E80x25

Initiates an 80 column by 25 line screen.

userDefined

A user defined string to set an explicit graphics card mode. The operation is dependent upon the support offered by the graphics adapter.

MEINSTALLPATH

$MEINSTALLPATH(5) is an environment variable that overrides any internally defined search path for NanoEmacs system macros and defines the root directory(s) of the NanoEmacs system macros. The presence of the environment variable affects $search-path(5).

MEUSERPATH

$MEUSERPATH(5) is an environment variable that defines the users private directory where user configuration files such as $user-name .emf, $user-name .erf and personal spelling dictionaries are stored. This is an absolute directory path. The environment variable sets the NanoEmacs variable $user-path(5).

MEPATH

$MEPATH(5) is an environment variable that may be used to define the absolute search path for NanoEmacs macro files and affects the setting of $search-path. The path should include the system macros location(s) and should include the user directory location $user-path(5) as the first path when the environment variable $MEUSERPATH(5) is not defined. If $MEUSERPATH is defined then this path name appears before the $MEPATH variable to define the user directory location. $MEPATH is not searching, so ALL directories to be searched must be included in the path specification.

$MEUSERPATH(5) is the preferred method used to defined the user directory.

## FILES

All of the macro files and dictionaries are located in the NanoEmacs home directory. The standard file extensions that are utilized are:-

.emf

A MicroEmacs 2009 macro file. The following classes of macro file exist:

ne.emf

The default startup file.

## MICROSOFT WINDOWS

Microsoft Windows environments should refer to me32.ini(8) for a method of setting up the environment variables without editing the `AUTOEXEC.BAT` configuration file.

## SEE ALSO

$MEINSTALLPATH(5), $MENAME(5), $MEPATH(5), $MEUSERPATH(5), emf(8), emacs(1) [GNU], more(1), me(1), vi(1).
Command Line Filters.

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>